Skip to main content
GET
/
exchange-rate-periods
/
{id}
Get an exchange rate period
curl --request GET \
  --url https://www.ruddr.io/api/workspace/exchange-rate-periods/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "d4a8c132-7e95-4b0f-a3d1-f6b2e9c04a87",
  "fromCurrency": "USD",
  "toCurrency": "JPY",
  "start": "2026-04-01",
  "end": "2026-09-30",
  "rate": 149.25,
  "createdAt": "2026-03-01T08:15:33.492Z"
}
A custom exchange rate for a specific date range, overriding the default workspace exchange rates.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The exchange rate period uuid.

Response

200

id
string

The unique identifier for the object.

fromCurrency
string

The 3-letter ISO 4217 currency code for the source currency.

toCurrency
string

The 3-letter ISO 4217 currency code for the target currency.

start
string<date>

The start date for the period. Will be in the form YYYY-MM-DD.

end
string<date>

The end date for the period. Will be in the form YYYY-MM-DD.

rate
number

The exchange rate applied when converting from fromCurrency to toCurrency.

createdAt
string<date-time>

The timestamp when the object was created.